Index: trunk/include/FlairSensorActuator/ParrotBatteryMonitor.h
===================================================================
--- trunk/include/FlairSensorActuator/ParrotBatteryMonitor.h	(revision 4)
+++ 	(revision )
@@ -1,68 +1,0 @@
-// %flair:license{
-// This file is part of the Flair framework distributed under the
-// CECILL-C License, Version 1.0.
-// %flair:license}
-/*!
- * \file ParrotBatteryMonitor.h
- * \brief Parrot battery monitor
- * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
- * \date 2014/01/24
- * \version 4.0
- */
-
-#ifndef PARROTBATTERYMONITOR_H
-#define PARROTBATTERYMONITOR_H
-
-#include <BatteryMonitor.h>
-#include <Thread.h>
-
-namespace flair
-{
-namespace gui
-{
-    class Layout;
-}
-namespace core
-{
-    class Unix_I2cPort;
-}
-
-namespace sensor
-{
-    /*! \class ParrotBatteryMonitor
-    *
-    * \brief Parrot battery monitor
-    */
-    class ParrotBatteryMonitor : public core::Thread,public BatteryMonitor
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ParrotBatteryMonitor at given position.
-            *
-            * \param position position
-            * \param name name
-            */
-            ParrotBatteryMonitor(const gui::LayoutPosition* position,std::string name);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ParrotBatteryMonitor();
-
-        private:
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
-
-            core::Unix_I2cPort* port;
-    };
-}; // end namespace sensor
-}; // end namespace flair
-#endif // PARROTBATTERYMONITOR_H
Index: trunk/include/FlairSensorActuator/ParrotBldc.h
===================================================================
--- trunk/include/FlairSensorActuator/ParrotBldc.h	(revision 4)
+++ 	(revision )
@@ -1,96 +1,0 @@
-// %flair:license{
-// This file is part of the Flair framework distributed under the
-// CECILL-C License, Version 1.0.
-// %flair:license}
-/*!
- * \file ParrotBldc.h
- * \brief Class for Ardrone 2 Bldc
- * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
- * \date 2013/12/19
- * \version 4.0
- */
-
-#ifndef PARROTBLDC_H
-#define PARROTBLDC_H
-
-#include "Bldc.h"
-
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class cvmatrix;
-        class SerialPort;
-    }
-    namespace gui
-    {
-        class Layout;
-    }
-}
-
-class ParrotBldc_impl;
-
-namespace flair
-{
-namespace actuator
-{
-    /*! \class ParrotBldc
-    *
-    * \brief Class for Ardrone 2 Bldc
-    */
-    class ParrotBldc : public Bldc
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ParrotBldc.
-            *
-            * \param parent parent
-            * \param layout layout
-            * \param name name
-            * \param serialport serialport
-            */
-            ParrotBldc(const core::IODevice* parent,gui::Layout* layout,std::string name,core::SerialPort* serialport);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ParrotBldc();
-
-            /*!
-            * \brief Has speed measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has speed measurement
-            */
-            bool HasSpeedMeasurement(void) const{return false;};
-
-            /*!
-            * \brief Has current measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has current measurement
-            */
-            bool HasCurrentMeasurement(void) const{return false;};
-
-        private:
-            /*!
-            * \brief Set motors values
-            *
-            * Reimplemented from Bldc. \n
-            * Values size must be the same as MotorsCount()
-            *
-            * \param values motor values
-            */
-            void SetMotors(float* value);
-
-            class ParrotBldc_impl* pimpl_;
-    };
-} // end namespace actuator
-} // end namespace framewor
-#endif // PARROTBLDC_H
Index: trunk/include/FlairSensorActuator/ParrotCamH.h
===================================================================
--- trunk/include/FlairSensorActuator/ParrotCamH.h	(revision 4)
+++ 	(revision )
@@ -1,145 +1,0 @@
-/*!
- * \file ParrotCamH.h
- * \brief Class for ardrone2 horizontal camera
- * \author Guillaume Sanahuja
- * \date 2014/07/16
- * \version 4.0
- */
-
-#ifndef PARROTCAMH_H
-#define PARROTCAMH_H
-
-#include "V4LCamera.h"
-
-struct regval_list {
-  uint16_t reg_num;
-  uint16_t size;
-  uint32_t value;
-};
-
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class I2cPort;
-    }
-}
-
-namespace flair
-{
-namespace sensor
-{
-    /*! \class ParrotCamH
-    *
-    * \brief Class for ardrone2 horizontal cameraH
-    */
-    class ParrotCamH : public V4LCamera
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ParrotCamH.
-            *
-            * \param parent parent
-            * \param name name
-            * \param width width
-            * \param height height
-            * \param priority priority of the Thread
-            */
-            ParrotCamH(const core::FrameworkManager* parent,std::string name,uint16_t width,uint16_t height,uint8_t priority);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ParrotCamH();
-
-        private:
-            /*!
-            * \brief Set Gain
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetGain(float value);
-
-            /*!
-            * \brief Set Exposure
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetExposure(float value);
-
-
-            /*!
-            * \brief Set Auto Exposure
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value
-            */
-            void SetAutoExposure(bool value);
-
-            /*!
-            * \brief Set Brightness
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetBrightness(float value);
-
-            /*!
-            * \brief Set Contrast
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetContrast(float value);
-
-            /*!
-            * \brief Set Saturation
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetSaturation(float value);
-
-            /*!
-            * \brief Set Hue
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetHue(float value);
-
-
-
-            void mt9m114_detect(void);
-            void mt9m114_init(void);
-            int mt9m114_reset(void);
-            int mt9m114_errata_1(void);
-            int mt9m114_errata_2(void);
-            int mt9m114_PLL_settings(void);
-            int mt9m114_write_array(struct regval_list *vals);
-            int mt9m114_sensor_optimization(void);
-            int soc1040_read_reg(uint16_t reg, uint32_t *val,uint16_t data_length);
-            int soc1040_write_reg(uint16_t reg,uint32_t val, uint16_t data_length);
-            int check_uvc_status(const char* funcName);
-            int mt9m114_refresh(void);
-            int mt9m114_wait_num_frames(uint16_t numFrames);
-            int poll_command_register_bit(uint16_t bit_mask);
-            core::I2cPort* i2cport;
-            struct regval_list *wh_regval_list;
-    };
-} // end namespace sensor
-} // end namespace flair
-#endif // PARROTCAMH_H
Index: trunk/include/FlairSensorActuator/ParrotCamV.h
===================================================================
--- trunk/include/FlairSensorActuator/ParrotCamV.h	(revision 4)
+++ 	(revision )
@@ -1,139 +1,0 @@
-/*!
- * \file ParrotCamV.h
- * \brief Class for ardrone2 horizontal camera
- * \author Guillaume Sanahuja
- * \date 2014/07/16
- * \version 4.0
- */
-
-#ifndef PARROTCAMV_H
-#define PARROTCAMV_H
-
-#define   CMATRIX_LEN 6
-
-#include "V4LCamera.h"
-
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class I2cPort;
-    }
-}
-
-namespace flair
-{
-namespace sensor
-{
-    /*! \class ParrotCamV
-    *
-    * \brief Class for ardrone2 horizontal cameraH
-    */
-    class ParrotCamV : public V4LCamera
-    {
-
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ParrotCamV.
-            *
-            * \param parent parent
-            * \param name name
-            * \param priority priority of the Thread
-            */
-            ParrotCamV(const core::FrameworkManager* parent,std::string name,uint8_t priority);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ParrotCamV();
-
-        private:
-            /*!
-            * \brief Set Gain
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetGain(float value);
-
-            /*!
-            * \brief Set Auto Gain
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value
-            */
-            void SetAutoGain(bool value);
-
-            /*!
-            * \brief Set Exposure
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetExposure(float value);
-
-            /*!
-            * \brief Set Auto Exposure
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value
-            */
-            void SetAutoExposure(bool value);
-
-            /*!
-            * \brief Set Brightness
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetBrightness(float value);
-
-            /*!
-            * \brief Set Saturation
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetSaturation(float value);
-
-            /*!
-            * \brief Set Hue
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetHue(float value);
-
-            /*!
-            * \brief Set Contrast
-            *
-            * Reimplemented from V4LCamera class
-            *
-            * \param value value between 0 and 1
-            */
-            void SetContrast(float value);
-
-            int ov7670_write(uint8_t reg,uint8_t value);
-            int ov7670_read(uint8_t reg,uint8_t* value);
-            unsigned char ov7670_abs_to_sm(uint8_t v);
-            int ov7670_store_cmatrix(int matrix[CMATRIX_LEN]);
-            void ov7670_calc_cmatrix(int matrix[CMATRIX_LEN]);
-            float hue,sat;
-            core::I2cPort* i2cport;
-            //cmatrix for V4L2_MBUS_FMT_UYVY8_2X8
-            int cmatrix[CMATRIX_LEN]= { 128, -128, 0, -34, -94, 128 };
-    };
-} // end namespace sensor
-} // end namespace flair
-#endif // PARROTCAMV_H
Index: trunk/include/FlairSensorActuator/ParrotGps.h
===================================================================
--- trunk/include/FlairSensorActuator/ParrotGps.h	(revision 4)
+++ 	(revision )
@@ -1,81 +1,0 @@
-// %flair:license{
-// This file is part of the Flair framework distributed under the
-// CECILL-C License, Version 1.0.
-// %flair:license}
-/*!
- * \file ParrotGps.h
- * \brief Class for Ardrone 2 gps receiver
- * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
- * \date 2014/06/04
- * \version 4.0
- */
-
-#ifndef PARROTGPS_H
-#define PARROTGPS_H
-
-#include <Thread.h>
-#include <Gps.h>
-
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class SerialPort;
-    }
-}
-
-namespace flair
-{
-namespace sensor
-{
-    /*! \class ParrotGps
-    *
-    * \brief Class for Ardrone 2 gps receiver
-    */
-    class ParrotGps : public core::Thread, public Gps
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Novatel.
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport serialport
-            * \param NMEAFlags NMEA sentances to enable
-            * \param priority priority of the Thread
-            */
-            ParrotGps(const core::FrameworkManager* parent,std::string name,core::SerialPort *serialport,Gps::NMEAFlags_t NMEAFlags,uint8_t priority);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ParrotGps();
-
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
-
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
-
-            core::SerialPort *serialport;
-            void Sync(void);
-    };
-} // end namespace sensor
-} // end namespace framewor
-#endif // PARROTGPS_H
Index: trunk/include/FlairSensorActuator/ParrotNavBoard.h
===================================================================
--- trunk/include/FlairSensorActuator/ParrotNavBoard.h	(revision 4)
+++ 	(revision )
@@ -1,122 +1,0 @@
-// %flair:license{
-// This file is part of the Flair framework distributed under the
-// CECILL-C License, Version 1.0.
-// %flair:license}
-/*!
- * \file ParrotNavBoard.h
- * \brief Class for ArDrone 2 sensors
- * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
- * \date 2013/12/19
- * \version 4.0
- */
-
-//thanks to Paparazzi (https://wiki.paparazziuav.org) for the struct nav_struct
-
-#ifndef PARROTNAVBOARD_H
-#define PARROTNAVBOARD_H
-
-#include <Thread.h>
-
-namespace flair {
-    namespace core {
-        class FrameworkManager;
-        class cvmatrix;
-        class ImuData;
-        class SerialPort;
-    }
-}
-
-namespace flair { namespace sensor {
-    class Imu;
-    class UsRangeFinder;
-
-    /*! \class ParrotNavBoard
-    *
-    * \brief Class for ArDrone 2 sensors
-    */
-    class ParrotNavBoard : public core::Thread {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ParrotNavBoard.
-            *
-            * \param parent parent
-            * \param name name
-            * \param serialport serialport
-            * \param priority priority of the Thread
-            */
-            ParrotNavBoard(const core::FrameworkManager* parent,std::string name,core::SerialPort* serialport,uint8_t priority);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ParrotNavBoard();
-
-            /*!
-            * \brief Use default plot
-            *
-            */
-            void UseDefaultPlot(void);
-
-            /*!
-            * \brief Get Imu
-            *
-            * \return Associated Imu
-            */
-            Imu* GetImu(void) const;
-
-            /*!
-            * \brief Get UsRangeFinder
-            *
-            * \return Associated UsRangeFinder
-            */
-            UsRangeFinder* GetUsRangeFinder(void) const;
-
-        private:
-            typedef struct nav_struct
-            {
-                uint16_t size;                // +0x00 Size of the following data (always 0x3a)
-                uint16_t seq;                 // +0x02 Sequence number, increases every update
-                uint16_t acc[3];              // +0x04 Raw data (10-bit) of the accelerometers multiplied by 4
-                int16_t gyro[3];             // +0x0A Raw data for the gyros, 12-bit A/D converted voltage of the gyros. X,Y=IDG, Z=Epson
-                uint16_t acc_temp;            // +0x10 Accs temperature -- startup value 120 @ 25C, rising to 143
-                uint16_t gyro_temp;           // +0x12 XYGyro temperature (IDG), 12-bit A/D converted voltage of IDG's temperature sensor -- startup value 1532 @ 25C, rising to 1572
-                uint16_t us_echo;             // +0x14 bit15=1 echo pulse transmitted, bit14-0 first echo. Value 30 = 1cm. min value: 784 = 26cm
-                uint16_t us_echo_start;       // +0x16 Array with starts of echos (8 array values @ 25Hz, 9 values @ 22.22Hz)
-                uint16_t us_echo_end;         // +0x18 Array with ends of echos   (8 array values @ 25Hz, 9 values @ 22.22Hz)
-                uint16_t us_association_echo; // +0x1a Ultrasonic parameter -- echo number starting with 0. max value 3758. examples: 0,1,2,3,4,5,6,7  ; 0,1,2,3,4,86,6,9
-                uint16_t us_distance_echo;    // +0x1c Ultrasonic parameter -- no clear pattern
-                uint16_t us_courbe_temps;     // +0x1e Ultrasonic parameter -- counts up from 0 to approx 24346 in 192 sample cycles of which 12 cylces have value 0
-                uint16_t us_courbe_valeur;    // +0x20 Ultrasonic parameter -- value between 0 and 4000, no clear pattern. 192 sample cycles of which 12 cylces have value 0
-                uint16_t us_courbe_ref;       // +0x22 Ultrasonic parameter -- coutns down from 4000 to 0 in 192 sample cycles of which 12 cylces have value 0
-                uint16_t nb_echo;
-                uint32_t sum_echo;
-                int16_t gradient;
-                uint16_t flag_echo_ini;
-                int32_t pressure;
-                int16_t temprature_pressure;
-                int16_t mag[3];
-                uint16_t checksum;
-            } __attribute__ ((packed)) nav_struct;
-
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
-
-            uint16_t Checksum(const uint8_t *data) const;
-            void computeDatas(nav_struct* nav,core::Time time);
-
-            Imu* imu;
-            UsRangeFinder* us;
-            core::SerialPort* serialport;
-    };
-} // end namespace sensor
-} // end namespace flair
-
-#endif // PARROTNAVBOARD_H