Index: trunk/include/FlairFilter/Ahrs.h
===================================================================
--- trunk/include/FlairFilter/Ahrs.h	(revision 8)
+++ trunk/include/FlairFilter/Ahrs.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file Ahrs.h
Index: trunk/include/FlairFilter/ButterworthLowPass.h
===================================================================
--- trunk/include/FlairFilter/ButterworthLowPass.h	(revision 8)
+++ trunk/include/FlairFilter/ButterworthLowPass.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file ButterworthLowPass.h
Index: trunk/include/FlairFilter/ControlLaw.h
===================================================================
--- trunk/include/FlairFilter/ControlLaw.h	(revision 8)
+++ trunk/include/FlairFilter/ControlLaw.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file ControlLaw.h
Index: trunk/include/FlairFilter/EulerDerivative.h
===================================================================
--- trunk/include/FlairFilter/EulerDerivative.h	(revision 8)
+++ trunk/include/FlairFilter/EulerDerivative.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file EulerDerivative.h
Index: trunk/include/FlairFilter/Gx3_25_ahrs.h
===================================================================
--- trunk/include/FlairFilter/Gx3_25_ahrs.h	(revision 8)
+++ trunk/include/FlairFilter/Gx3_25_ahrs.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file Gx3_25_ahrs.h
Index: trunk/include/FlairFilter/JoyReference.h
===================================================================
--- trunk/include/FlairFilter/JoyReference.h	(revision 8)
+++ trunk/include/FlairFilter/JoyReference.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file JoyReference.h
Index: trunk/include/FlairFilter/LowPassFilter.h
===================================================================
--- trunk/include/FlairFilter/LowPassFilter.h	(revision 8)
+++ trunk/include/FlairFilter/LowPassFilter.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file LowPassFilter.h
Index: trunk/include/FlairFilter/NestedSat.h
===================================================================
--- trunk/include/FlairFilter/NestedSat.h	(revision 8)
+++ trunk/include/FlairFilter/NestedSat.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file NestedSat.h
Index: trunk/include/FlairFilter/Pid.h
===================================================================
--- trunk/include/FlairFilter/Pid.h	(revision 8)
+++ trunk/include/FlairFilter/Pid.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file Pid.h
Index: trunk/include/FlairFilter/PidThrust.h
===================================================================
--- trunk/include/FlairFilter/PidThrust.h	(revision 8)
+++ trunk/include/FlairFilter/PidThrust.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file PidThrust.h
Index: trunk/include/FlairFilter/SimuAhrs.h
===================================================================
--- trunk/include/FlairFilter/SimuAhrs.h	(revision 8)
+++ trunk/include/FlairFilter/SimuAhrs.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file SimuAhrs.h
Index: trunk/include/FlairFilter/TrajectoryGenerator1D.h
===================================================================
--- trunk/include/FlairFilter/TrajectoryGenerator1D.h	(revision 8)
+++ trunk/include/FlairFilter/TrajectoryGenerator1D.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file TrajectoryGenerator1D.h
Index: trunk/include/FlairFilter/TrajectoryGenerator2DCircle.h
===================================================================
--- trunk/include/FlairFilter/TrajectoryGenerator2DCircle.h	(revision 8)
+++ trunk/include/FlairFilter/TrajectoryGenerator2DCircle.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file TrajectoryGenerator2DCircle.h
Index: trunk/include/FlairFilter/UavMultiplex.h
===================================================================
--- trunk/include/FlairFilter/UavMultiplex.h	(revision 8)
+++ trunk/include/FlairFilter/UavMultiplex.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file UavMultiplex.h
Index: trunk/include/FlairFilter/X4X8Multiplex.h
===================================================================
--- trunk/include/FlairFilter/X4X8Multiplex.h	(revision 8)
+++ trunk/include/FlairFilter/X4X8Multiplex.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file X4X8Multiplex.h
Index: trunk/include/FlairMeta/HdsX8.h
===================================================================
--- trunk/include/FlairMeta/HdsX8.h	(revision 8)
+++ trunk/include/FlairMeta/HdsX8.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file HdsX8.h
Index: trunk/include/FlairMeta/MetaDualShock3.h
===================================================================
--- trunk/include/FlairMeta/MetaDualShock3.h	(revision 8)
+++ trunk/include/FlairMeta/MetaDualShock3.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file MetaDualShock3.h
Index: trunk/include/FlairMeta/MetaUsRangeFinder.h
===================================================================
--- trunk/include/FlairMeta/MetaUsRangeFinder.h	(revision 8)
+++ trunk/include/FlairMeta/MetaUsRangeFinder.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file MetaUsRangeFinder.h
Index: trunk/include/FlairMeta/MetaVrpnObject.h
===================================================================
--- trunk/include/FlairMeta/MetaVrpnObject.h	(revision 8)
+++ trunk/include/FlairMeta/MetaVrpnObject.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file MetaVrpnObject.h
Index: trunk/include/FlairMeta/SimuX4.h
===================================================================
--- trunk/include/FlairMeta/SimuX4.h	(revision 8)
+++ trunk/include/FlairMeta/SimuX4.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file SimuX4.h
Index: trunk/include/FlairMeta/SimuX8.h
===================================================================
--- trunk/include/FlairMeta/SimuX8.h	(revision 8)
+++ trunk/include/FlairMeta/SimuX8.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file SimuX8.h
Index: trunk/include/FlairMeta/Uav.h
===================================================================
--- trunk/include/FlairMeta/Uav.h	(revision 8)
+++ trunk/include/FlairMeta/Uav.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file Uav.h
Index: trunk/include/FlairMeta/UavFactory.h
===================================================================
--- trunk/include/FlairMeta/UavFactory.h	(revision 8)
+++ trunk/include/FlairMeta/UavFactory.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2016/02/05
 //  filename:   UavFactory.cpp
Index: trunk/include/FlairMeta/UavStateMachine.h
===================================================================
--- trunk/include/FlairMeta/UavStateMachine.h	(revision 8)
+++ trunk/include/FlairMeta/UavStateMachine.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2014/04/29
 //  filename:   UavStateMachine.h
Index: trunk/include/FlairMeta/XAir.h
===================================================================
--- trunk/include/FlairMeta/XAir.h	(revision 8)
+++ trunk/include/FlairMeta/XAir.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file XAir.h
Index: trunk/include/FlairSimulator/Blade.h
===================================================================
--- trunk/include/FlairSimulator/Blade.h	(revision 8)
+++ trunk/include/FlairSimulator/Blade.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2012/08/22
 //  filename:   Blade.h
Index: trunk/include/FlairSimulator/Castle.h
===================================================================
--- trunk/include/FlairSimulator/Castle.h	(revision 8)
+++ trunk/include/FlairSimulator/Castle.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/03/27
 //  filename:   Castle.h
Index: trunk/include/FlairSimulator/DiscreteTimeVariable.h
===================================================================
--- trunk/include/FlairSimulator/DiscreteTimeVariable.h	(revision 8)
+++ trunk/include/FlairSimulator/DiscreteTimeVariable.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2014/03/30
 //  filename:   DiscreteTimeVariable.cpp
Index: trunk/include/FlairSimulator/Gui.h
===================================================================
--- trunk/include/FlairSimulator/Gui.h	(revision 8)
+++ trunk/include/FlairSimulator/Gui.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/03/27
 //  filename:   Gui.h
Index: trunk/include/FlairSimulator/Man.h
===================================================================
--- trunk/include/FlairSimulator/Man.h	(revision 8)
+++ trunk/include/FlairSimulator/Man.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/04/15
 //  filename:   Man.h
Index: trunk/include/FlairSimulator/MeshSceneNode.h
===================================================================
--- trunk/include/FlairSimulator/MeshSceneNode.h	(revision 8)
+++ trunk/include/FlairSimulator/MeshSceneNode.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2012/08/22
 //  filename:   MeshSceneNode.h
Index: trunk/include/FlairSimulator/Model.h
===================================================================
--- trunk/include/FlairSimulator/Model.h	(revision 8)
+++ trunk/include/FlairSimulator/Model.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/03/25
 //  filename:   Model.h
Index: trunk/include/FlairSimulator/Parser.h
===================================================================
--- trunk/include/FlairSimulator/Parser.h	(revision 8)
+++ trunk/include/FlairSimulator/Parser.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/08/02
 //  filename:   Parser.h
Index: trunk/include/FlairSimulator/SensorGL.h
===================================================================
--- trunk/include/FlairSimulator/SensorGL.h	(revision 8)
+++ trunk/include/FlairSimulator/SensorGL.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/03/25
 //  filename:   SensorGL.h
Index: trunk/include/FlairSimulator/SimuCameraGL.h
===================================================================
--- trunk/include/FlairSimulator/SimuCameraGL.h	(revision 8)
+++ trunk/include/FlairSimulator/SimuCameraGL.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file SimuCameraGL.h
Index: trunk/include/FlairSimulator/SimuLaserGL.h
===================================================================
--- trunk/include/FlairSimulator/SimuLaserGL.h	(revision 8)
+++ trunk/include/FlairSimulator/SimuLaserGL.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file SimuUsGL.h
Index: trunk/include/FlairSimulator/SimuUsGL.h
===================================================================
--- trunk/include/FlairSimulator/SimuUsGL.h	(revision 8)
+++ trunk/include/FlairSimulator/SimuUsGL.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /*!
  * \file SimuUsGL.h
Index: trunk/include/FlairSimulator/Simulator.h
===================================================================
--- trunk/include/FlairSimulator/Simulator.h	(revision 8)
+++ trunk/include/FlairSimulator/Simulator.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2013/03/25
 //  filename:   Simulator.h
Index: trunk/include/FlairSimulator/X4.h
===================================================================
--- trunk/include/FlairSimulator/X4.h	(revision 8)
+++ trunk/include/FlairSimulator/X4.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2012/08/21
 //  filename:   X4.h
Index: trunk/include/FlairSimulator/X8.h
===================================================================
--- trunk/include/FlairSimulator/X8.h	(revision 8)
+++ trunk/include/FlairSimulator/X8.h	(revision 9)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 //  created:    2014/04/03
 //  filename:   X8.h
Index: trunk/scripts/compile_flair_all.sh
===================================================================
--- trunk/scripts/compile_flair_all.sh	(revision 8)
+++ trunk/scripts/compile_flair_all.sh	(revision 9)
@@ -73,5 +73,14 @@
 }
 
-function compile_examples() {
+function compile_tools() {
+	#for projects in FlairGCS Controller/DualShock3 Dbt2csv; do
+	for projects in FlairGCS Controller/DualShock3; do
+		configure $FLAIR_ROOT/flair-src/tools $projects
+	   	compile $FLAIR_ROOT/flair-src/tools $projects
+		cross_compile $FLAIR_ROOT/flair-src/tools $projects
+	done
+}
+
+function compile_demos() {
 	for projects in ex_framework ex_kalman_framework; do
 		configure $FLAIR_ROOT/uav_ex $projects
@@ -138,5 +147,5 @@
 	compile_flair
 fi
-exit 0
+
 printf "Compile Flair tools [Y/n]?"
 read answer
@@ -145,5 +154,5 @@
 	compile_tools
 fi
-
+exit 0
 printf "Compile Flair documentation [Y/n]?"
 read answer
@@ -154,5 +163,5 @@
 fi
 
-printf "Compile examples [Y/n]?"
+printf "Compile demos [Y/n]?"
 read answer
 