Index: trunk/tools/FlairGCS/src/CheckBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/CheckBox.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/CheckBox.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "CheckBox.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/CheckBox.h
===================================================================
--- trunk/tools/FlairGCS/src/CheckBox.h	(revision 9)
+++ trunk/tools/FlairGCS/src/CheckBox.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef CHECKBOX_H
 #define CHECKBOX_H
Index: trunk/tools/FlairGCS/src/ComboBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ComboBox.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/ComboBox.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "ComboBox.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/ComboBox.h
===================================================================
--- trunk/tools/FlairGCS/src/ComboBox.h	(revision 9)
+++ trunk/tools/FlairGCS/src/ComboBox.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef COMBOBOX_H
 #define COMBOBOX_H
Index: trunk/tools/FlairGCS/src/ConnectionLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ConnectionLayout.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/ConnectionLayout.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "ConnectionLayout.h"
 #include "UdtSocket.h"
Index: trunk/tools/FlairGCS/src/ConnectionLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/ConnectionLayout.h	(revision 9)
+++ trunk/tools/FlairGCS/src/ConnectionLayout.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef CONNECTIONLAYOUT_H
 #define CONNECTIONLAYOUT_H
Index: trunk/tools/FlairGCS/src/DataPlot1D.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/DataPlot1D.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "DataPlot1D.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/DataPlot1D.h
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot1D.h	(revision 9)
+++ trunk/tools/FlairGCS/src/DataPlot1D.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef DATAPLOT1D_H_INCLUDED
 #define DATAPLOT1D_H_INCLUDED
Index: trunk/tools/FlairGCS/src/DataPlot2D.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot2D.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/DataPlot2D.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "DataPlot2D.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/DataPlot2D.h
===================================================================
--- trunk/tools/FlairGCS/src/DataPlot2D.h	(revision 9)
+++ trunk/tools/FlairGCS/src/DataPlot2D.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef DATAPLOT2D_H_INCLUDED
 #define DATAPLOT2D_H_INCLUDED
Index: trunk/tools/FlairGCS/src/DataRemote.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/DataRemote.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "DataRemote.h"
 #include <QMenu>
Index: trunk/tools/FlairGCS/src/DataRemote.h
===================================================================
--- trunk/tools/FlairGCS/src/DataRemote.h	(revision 9)
+++ trunk/tools/FlairGCS/src/DataRemote.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef DATAREMOTE_H
 #define DATAREMOTE_H
Index: trunk/tools/FlairGCS/src/DoubleSpinBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/DoubleSpinBox.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/DoubleSpinBox.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "DoubleSpinBox.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/DoubleSpinBox.h
===================================================================
--- trunk/tools/FlairGCS/src/DoubleSpinBox.h	(revision 9)
+++ trunk/tools/FlairGCS/src/DoubleSpinBox.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef DOUBLESPINBOX_H
 #define DOUBLESPINBOX_H
Index: trunk/tools/FlairGCS/src/FormLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/FormLayout.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/FormLayout.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "FormLayout.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/FormLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/FormLayout.h	(revision 9)
+++ trunk/tools/FlairGCS/src/FormLayout.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef LABELWIDGET_H
 #define LABELWIDGET_H
Index: trunk/tools/FlairGCS/src/GridLayout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/GridLayout.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/GridLayout.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "GridLayout.h"
 #include <QWidget>
Index: trunk/tools/FlairGCS/src/GridLayout.h
===================================================================
--- trunk/tools/FlairGCS/src/GridLayout.h	(revision 9)
+++ trunk/tools/FlairGCS/src/GridLayout.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef GRIDLAYOUT_H
 #define GRIDLAYOUT_H
Index: trunk/tools/FlairGCS/src/GroupBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/GroupBox.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/GroupBox.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "GroupBox.h"
 #include <QGroupBox>
Index: trunk/tools/FlairGCS/src/GroupBox.h
===================================================================
--- trunk/tools/FlairGCS/src/GroupBox.h	(revision 9)
+++ trunk/tools/FlairGCS/src/GroupBox.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef GROUPBOX_H
 #define GROUPBOX_H
Index: trunk/tools/FlairGCS/src/Label.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Label.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Label.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Label.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/Label.h
===================================================================
--- trunk/tools/FlairGCS/src/Label.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Label.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef LABEL_H
 #define LABEL_H
Index: trunk/tools/FlairGCS/src/Landmark.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Landmark.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Landmark.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Landmark.h"
 #include <QPen>
Index: trunk/tools/FlairGCS/src/Landmark.h
===================================================================
--- trunk/tools/FlairGCS/src/Landmark.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Landmark.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef LANDMARK_H
 #define LANDMARK_H
Index: trunk/tools/FlairGCS/src/Layout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Layout.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Layout.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Layout.h"
 #include "TabWidget.h"
Index: trunk/tools/FlairGCS/src/Layout.h
===================================================================
--- trunk/tools/FlairGCS/src/Layout.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Layout.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef LAYOUT_H
 #define LAYOUT_H
Index: trunk/tools/FlairGCS/src/Manager.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Manager.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Manager.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Manager.h"
 #include "UdtSocket.h"
Index: trunk/tools/FlairGCS/src/Manager.h
===================================================================
--- trunk/tools/FlairGCS/src/Manager.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Manager.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef MANAGER_H
 #define MANAGER_H
Index: trunk/tools/FlairGCS/src/Map.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Map.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Map.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Map.h"
 #include "Landmark.h"
Index: trunk/tools/FlairGCS/src/Map.h
===================================================================
--- trunk/tools/FlairGCS/src/Map.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Map.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef MAP_H
 #define MAP_H
Index: trunk/tools/FlairGCS/src/Picture.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Picture.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Picture.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Picture.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/Picture.h
===================================================================
--- trunk/tools/FlairGCS/src/Picture.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Picture.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef PICTURE_H
 #define PICTURE_H
Index: trunk/tools/FlairGCS/src/PushButton.cpp
===================================================================
--- trunk/tools/FlairGCS/src/PushButton.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/PushButton.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "PushButton.h"
 #include "ConnectionLayout.h"
Index: trunk/tools/FlairGCS/src/PushButton.h
===================================================================
--- trunk/tools/FlairGCS/src/PushButton.h	(revision 9)
+++ trunk/tools/FlairGCS/src/PushButton.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef PUSHBUTTON_H
 #define PUSHBUTTON_H
Index: trunk/tools/FlairGCS/src/RangeFinderPlot.cpp
===================================================================
--- trunk/tools/FlairGCS/src/RangeFinderPlot.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/RangeFinderPlot.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "RangeFinderPlot.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/RangeFinderPlot.h
===================================================================
--- trunk/tools/FlairGCS/src/RangeFinderPlot.h	(revision 9)
+++ trunk/tools/FlairGCS/src/RangeFinderPlot.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef RANGEFINDERPLOT_H_INCLUDED
 #define RANGEFINDERPLOT_H_INCLUDED
Index: trunk/tools/FlairGCS/src/Scope.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Scope.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Scope.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Scope.h"
 #include "Scrollbar.h"
Index: trunk/tools/FlairGCS/src/Scope.h
===================================================================
--- trunk/tools/FlairGCS/src/Scope.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Scope.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef SCOPE_H_INCLUDED
 #define SCOPE_H_INCLUDED
Index: trunk/tools/FlairGCS/src/ScopeFixedStep.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ScopeFixedStep.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/ScopeFixedStep.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "ScopeFixedStep.h"
 #include "Scrollbar.h"
Index: trunk/tools/FlairGCS/src/ScopeFixedStep.h
===================================================================
--- trunk/tools/FlairGCS/src/ScopeFixedStep.h	(revision 9)
+++ trunk/tools/FlairGCS/src/ScopeFixedStep.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef SCOPEFIXEDSTEP_H_INCLUDED
 #define SCOPEFIXEDSTEP_H_INCLUDED
Index: trunk/tools/FlairGCS/src/ScopeVariableStep.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ScopeVariableStep.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/ScopeVariableStep.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "ScopeVariableStep.h"
 #include "Scrollbar.h"
Index: trunk/tools/FlairGCS/src/ScopeVariableStep.h
===================================================================
--- trunk/tools/FlairGCS/src/ScopeVariableStep.h	(revision 9)
+++ trunk/tools/FlairGCS/src/ScopeVariableStep.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef SCOPEVARIABLESTEP_H_INCLUDED
 #define SCOPEVARIABLESTEP_H_INCLUDED
Index: trunk/tools/FlairGCS/src/Scrollbar.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Scrollbar.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Scrollbar.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include <qstyle.h>
 #include <qstyleoption.h>
Index: trunk/tools/FlairGCS/src/Scrollbar.h
===================================================================
--- trunk/tools/FlairGCS/src/Scrollbar.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Scrollbar.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef _SCROLLBAR_H
 #define _SCROLLBAR_H 1
Index: trunk/tools/FlairGCS/src/SpinBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/SpinBox.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/SpinBox.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "SpinBox.h"
 #include <QFormLayout>
Index: trunk/tools/FlairGCS/src/SpinBox.h
===================================================================
--- trunk/tools/FlairGCS/src/SpinBox.h	(revision 9)
+++ trunk/tools/FlairGCS/src/SpinBox.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef SPINBOX_H
 #define SPINBOX_H
Index: trunk/tools/FlairGCS/src/Tab.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Tab.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Tab.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Tab.h"
 #include "TabWidget.h"
Index: trunk/tools/FlairGCS/src/Tab.h
===================================================================
--- trunk/tools/FlairGCS/src/Tab.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Tab.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef TAB_H
 #define TAB_H
Index: trunk/tools/FlairGCS/src/TabWidget.cpp
===================================================================
--- trunk/tools/FlairGCS/src/TabWidget.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/TabWidget.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "TabWidget.h"
 #include "Tab.h"
Index: trunk/tools/FlairGCS/src/TabWidget.h
===================================================================
--- trunk/tools/FlairGCS/src/TabWidget.h	(revision 9)
+++ trunk/tools/FlairGCS/src/TabWidget.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef TABWIDGET_H
 #define TABWIDGET_H
Index: trunk/tools/FlairGCS/src/TextEdit.cpp
===================================================================
--- trunk/tools/FlairGCS/src/TextEdit.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/TextEdit.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "TextEdit.h"
 #include "Layout.h"
Index: trunk/tools/FlairGCS/src/TextEdit.h
===================================================================
--- trunk/tools/FlairGCS/src/TextEdit.h	(revision 9)
+++ trunk/tools/FlairGCS/src/TextEdit.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef TEXTEDIT_H
 #define TEXTEDIT_H
Index: trunk/tools/FlairGCS/src/UdtSocket.cpp
===================================================================
--- trunk/tools/FlairGCS/src/UdtSocket.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/UdtSocket.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "UdtSocket.h"
 #include <stdio.h>
Index: trunk/tools/FlairGCS/src/UdtSocket.h
===================================================================
--- trunk/tools/FlairGCS/src/UdtSocket.h	(revision 9)
+++ trunk/tools/FlairGCS/src/UdtSocket.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef UDTSOCKET_H
 #define UDTSOCKET_H
Index: trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/Vector3DSpinBox.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "Vector3DSpinBox.h"
 #include <QLineEdit>
Index: trunk/tools/FlairGCS/src/Vector3DSpinBox.h
===================================================================
--- trunk/tools/FlairGCS/src/Vector3DSpinBox.h	(revision 9)
+++ trunk/tools/FlairGCS/src/Vector3DSpinBox.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef VECTOR3DSPINBOX_H
 #define VECTOR3DSPINBOX_H
Index: trunk/tools/FlairGCS/src/XmlWidget.cpp
===================================================================
--- trunk/tools/FlairGCS/src/XmlWidget.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/XmlWidget.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "XmlWidget.h"
 #include <QWidget>
Index: trunk/tools/FlairGCS/src/XmlWidget.h
===================================================================
--- trunk/tools/FlairGCS/src/XmlWidget.h	(revision 9)
+++ trunk/tools/FlairGCS/src/XmlWidget.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef XMLWIDGET_H
 #define XMLWIDGET_H
Index: trunk/tools/FlairGCS/src/file_ui.cpp
===================================================================
--- trunk/tools/FlairGCS/src/file_ui.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/file_ui.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include "file_ui.h"
 #include <stdio.h>
Index: trunk/tools/FlairGCS/src/file_ui.h
===================================================================
--- trunk/tools/FlairGCS/src/file_ui.h	(revision 9)
+++ trunk/tools/FlairGCS/src/file_ui.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #ifndef FILE_UI_H
 #define FILE_UI_H
Index: trunk/tools/FlairGCS/src/main.cpp
===================================================================
--- trunk/tools/FlairGCS/src/main.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/main.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 #include <QApplication>
 #include <QCleanlooksStyle>
Index: trunk/tools/FlairGCS/src/mapwidget.cpp
===================================================================
--- trunk/tools/FlairGCS/src/mapwidget.cpp	(revision 9)
+++ trunk/tools/FlairGCS/src/mapwidget.cpp	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /****************************************************************************
 **
Index: trunk/tools/FlairGCS/src/mapwidget.h
===================================================================
--- trunk/tools/FlairGCS/src/mapwidget.h	(revision 9)
+++ trunk/tools/FlairGCS/src/mapwidget.h	(revision 10)
@@ -1,2 +1,6 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
 /****************************************************************************
 **