Index: trunk/lib/FlairFilter/src/unexported/Ahrs_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/Ahrs_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/Ahrs_impl.h	(revision 15)
@@ -17,14 +17,14 @@
 
 namespace flair {
-    namespace core {
-        class AhrsData;
-    }
-    namespace gui {
-        class Tab;
-        class DataPlot1D;
-    }
-    namespace filter {
-        class Ahrs;
-    }
+namespace core {
+class AhrsData;
+}
+namespace gui {
+class Tab;
+class DataPlot1D;
+}
+namespace filter {
+class Ahrs;
+}
 }
 
@@ -37,17 +37,18 @@
 
 class Ahrs_impl {
-    public:
-        Ahrs_impl(flair::filter::Ahrs* self);
-        ~Ahrs_impl();
-        void UseDefaultPlot(void);
-        void AddPlot(const flair::core::AhrsData *ahrsData,flair::gui::DataPlot::Color_t color);
-        flair::gui::DataPlot1D *rollPlot,*pitchPlot,*yawPlot;
-        flair::gui::DataPlot1D *wXPlot,*wYPlot,*wZPlot;
-        flair::gui::DataPlot1D *q0Plot,*q1Plot,*q2Plot,*q3Plot;
-        flair::core::AhrsData *ahrsData;
+public:
+  Ahrs_impl(flair::filter::Ahrs *self);
+  ~Ahrs_impl();
+  void UseDefaultPlot(void);
+  void AddPlot(const flair::core::AhrsData *ahrsData,
+               flair::gui::DataPlot::Color_t color);
+  flair::gui::DataPlot1D *rollPlot, *pitchPlot, *yawPlot;
+  flair::gui::DataPlot1D *wXPlot, *wYPlot, *wZPlot;
+  flair::gui::DataPlot1D *q0Plot, *q1Plot, *q2Plot, *q3Plot;
+  flair::core::AhrsData *ahrsData;
 
-    private:
-        flair::gui::Tab *eulerTab,*quaternionTab;
-        flair::filter::Ahrs* self;
+private:
+  flair::gui::Tab *eulerTab, *quaternionTab;
+  flair::filter::Ahrs *self;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/ButterworthLowPass_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/ButterworthLowPass_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/ButterworthLowPass_impl.h	(revision 15)
@@ -17,138 +17,119 @@
 #include <Butterworth.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class SpinBox;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class ButterworthLowPass;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+class SpinBox;
+class DoubleSpinBox;
+}
+namespace filter {
+class ButterworthLowPass;
+}
 }
 
 // Storage for Layout
-//de-templatized for pimpl idom
-//comes from iir from Bernd Porr
-class LayoutStorage
-{
-    public:
-        LayoutStorage(int MaxPoles)
-        {
-            this->MaxPoles=MaxPoles;
-            m_pairs=(Iir::PoleZeroPair*)malloc((MaxPoles+1)/2*sizeof(Iir::PoleZeroPair));
-        }
-        ~LayoutStorage()
-        {
-            free(m_pairs);
-        }
-        operator Iir::LayoutBase ()
-        {
-            return Iir::LayoutBase (MaxPoles, m_pairs);
-        }
+// de-templatized for pimpl idom
+// comes from iir from Bernd Porr
+class LayoutStorage {
+public:
+  LayoutStorage(int MaxPoles) {
+    this->MaxPoles = MaxPoles;
+    m_pairs = (Iir::PoleZeroPair *)malloc((MaxPoles + 1) / 2 *
+                                          sizeof(Iir::PoleZeroPair));
+  }
+  ~LayoutStorage() { free(m_pairs); }
+  operator Iir::LayoutBase() { return Iir::LayoutBase(MaxPoles, m_pairs); }
 
-    private:
-        Iir::PoleZeroPair *m_pairs;
-        int MaxPoles;
+private:
+  Iir::PoleZeroPair *m_pairs;
+  int MaxPoles;
 };
 
 // Storage for Cascade
-//de-templatized for pimpl idom
-//comes from iir from Bernd Porr
-class CascadeStages
-{
-    public:
-        CascadeStages(int MaxStages)
-        {
-            this->MaxStages=MaxStages;
-            m_stages=(Iir::Cascade::Stage*)malloc(MaxStages*sizeof(Iir::Cascade::Stage));
-            m_states=(Iir::DirectFormII*)malloc(MaxStages*sizeof(Iir::DirectFormII));
-        }
-        ~CascadeStages()
-        {
-            free(m_stages);
-            free(m_states);
-        }
-        void reset ()
-        {
-            Iir::DirectFormII* state = m_states;
-            for (int i = MaxStages; --i >= 0; ++state)
-            state->reset();
-        }
+// de-templatized for pimpl idom
+// comes from iir from Bernd Porr
+class CascadeStages {
+public:
+  CascadeStages(int MaxStages) {
+    this->MaxStages = MaxStages;
+    m_stages =
+        (Iir::Cascade::Stage *)malloc(MaxStages * sizeof(Iir::Cascade::Stage));
+    m_states =
+        (Iir::DirectFormII *)malloc(MaxStages * sizeof(Iir::DirectFormII));
+  }
+  ~CascadeStages() {
+    free(m_stages);
+    free(m_states);
+  }
+  void reset() {
+    Iir::DirectFormII *state = m_states;
+    for (int i = MaxStages; --i >= 0; ++state)
+      state->reset();
+  }
 
-        template <typename Sample>
-        inline Sample filter(const Sample in)
-        {
-            double out = in;
-            Iir::DirectFormII* state = m_states;
-            Iir::Biquad const* stage = m_stages;
-            for (int i = MaxStages; --i >= 0; ++state, ++stage)
-            out = state->process1 (out, *stage);
-            return static_cast<Sample> (out);
-        }
+  template <typename Sample> inline Sample filter(const Sample in) {
+    double out = in;
+    Iir::DirectFormII *state = m_states;
+    Iir::Biquad const *stage = m_stages;
+    for (int i = MaxStages; --i >= 0; ++state, ++stage)
+      out = state->process1(out, *stage);
+    return static_cast<Sample>(out);
+  }
 
-        Iir::Cascade::Storage getCascadeStorage()
-        {
-            return Iir::Cascade::Storage (MaxStages, m_stages);
-        }
+  Iir::Cascade::Storage getCascadeStorage() {
+    return Iir::Cascade::Storage(MaxStages, m_stages);
+  }
 
-    private:
-        int MaxStages;
-        Iir::Cascade::Stage *m_stages;
-        Iir::DirectFormII *m_states;
+private:
+  int MaxStages;
+  Iir::Cascade::Stage *m_stages;
+  Iir::DirectFormII *m_states;
 };
 
-//de-templatized for pimpl idom
-//comes from iir from Bernd Porr
-class PoleFilter : Iir::Butterworth::LowPassBase,public CascadeStages
-{
-    public:
-        PoleFilter (int MaxPoles):CascadeStages((MaxPoles + 1) / 2)
-        {
-            this->MaxPoles=MaxPoles;
-            m_analogStorage=new LayoutStorage(MaxPoles);
-            m_digitalStorage=new LayoutStorage(MaxPoles);
-            // This glues together the factored base classes
-            // with the templatized storage classes.
-            Iir::Butterworth::LowPassBase::setCascadeStorage (this->getCascadeStorage());
-            Iir::Butterworth::LowPassBase::setPrototypeStorage (*m_analogStorage,*m_digitalStorage);
-        }
-        ~PoleFilter()
-        {
-            delete m_analogStorage;
-            delete m_digitalStorage;
-        }
-        void setup (double sampleRate,double cutoffFrequency)
-        {
-            Iir::Butterworth::LowPassBase::setup (MaxPoles, sampleRate,cutoffFrequency);
-        }
+// de-templatized for pimpl idom
+// comes from iir from Bernd Porr
+class PoleFilter : Iir::Butterworth::LowPassBase, public CascadeStages {
+public:
+  PoleFilter(int MaxPoles) : CascadeStages((MaxPoles + 1) / 2) {
+    this->MaxPoles = MaxPoles;
+    m_analogStorage = new LayoutStorage(MaxPoles);
+    m_digitalStorage = new LayoutStorage(MaxPoles);
+    // This glues together the factored base classes
+    // with the templatized storage classes.
+    Iir::Butterworth::LowPassBase::setCascadeStorage(this->getCascadeStorage());
+    Iir::Butterworth::LowPassBase::setPrototypeStorage(*m_analogStorage,
+                                                       *m_digitalStorage);
+  }
+  ~PoleFilter() {
+    delete m_analogStorage;
+    delete m_digitalStorage;
+  }
+  void setup(double sampleRate, double cutoffFrequency) {
+    Iir::Butterworth::LowPassBase::setup(MaxPoles, sampleRate, cutoffFrequency);
+  }
 
-    private:
-        int MaxPoles;
-        LayoutStorage* m_analogStorage;
-        LayoutStorage* m_digitalStorage;
+private:
+  int MaxPoles;
+  LayoutStorage *m_analogStorage;
+  LayoutStorage *m_digitalStorage;
 };
 
+class ButterworthLowPass_impl {
+public:
+  ButterworthLowPass_impl(flair::filter::ButterworthLowPass *self,
+                          const flair::gui::LayoutPosition *position,
+                          std::string name, int order);
+  ~ButterworthLowPass_impl();
+  void UpdateFrom(const flair::core::io_data *data);
+  flair::core::cvmatrix *output;
 
-class ButterworthLowPass_impl
-{
-    public:
-        ButterworthLowPass_impl(flair::filter::ButterworthLowPass* self,const flair::gui::LayoutPosition* position,std::string name,int order);
-        ~ButterworthLowPass_impl();
-        void UpdateFrom(const flair::core::io_data *data);
-        flair::core::cvmatrix *output;
-
-    private:
-        flair::gui::DoubleSpinBox *cutoff,*T;
-        PoleFilter* f;
-        bool first_update;
-        flair::core::Time previous_time;
+private:
+  flair::gui::DoubleSpinBox *cutoff, *T;
+  PoleFilter *f;
+  bool first_update;
+  flair::core::Time previous_time;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/EulerDerivative_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/EulerDerivative_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/EulerDerivative_impl.h	(revision 15)
@@ -16,19 +16,15 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class EulerDerivative;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+class DoubleSpinBox;
+}
+namespace filter {
+class EulerDerivative;
+}
 }
 
@@ -37,18 +33,19 @@
 */
 
-class EulerDerivative_impl
-{
-    public:
-        EulerDerivative_impl(flair::filter::EulerDerivative* self,const flair::gui::LayoutPosition* position,std::string name,const flair::core::cvmatrix* init_value=NULL);
-        ~EulerDerivative_impl();
-        void UpdateFrom(const flair::core::io_data *data);
-        flair::core::cvmatrix *output;
+class EulerDerivative_impl {
+public:
+  EulerDerivative_impl(flair::filter::EulerDerivative *self,
+                       const flair::gui::LayoutPosition *position,
+                       std::string name,
+                       const flair::core::cvmatrix *init_value = NULL);
+  ~EulerDerivative_impl();
+  void UpdateFrom(const flair::core::io_data *data);
+  flair::core::cvmatrix *output;
 
-    private:
-        flair::gui::DoubleSpinBox* T;
-        flair::core::Time previous_time;
-        bool first_update;
-        flair::core::cvmatrix* prev_value;
-
+private:
+  flair::gui::DoubleSpinBox *T;
+  flair::core::Time previous_time;
+  bool first_update;
+  flair::core::cvmatrix *prev_value;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/JoyReference_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/JoyReference_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/JoyReference_impl.h	(revision 15)
@@ -24,61 +24,63 @@
 
 namespace flair {
-    namespace core {
-        class cvmatrix;
-        class io_data;
-        class AhrsData;
-    }
-    namespace gui {
-        class LayoutPosition;
-        class GroupBox;
-        class DoubleSpinBox;
-        class SpinBox;
-        class Label;
-        class PushButton;
-    }
-    namespace filter {
-        class JoyReference;
-    }
+namespace core {
+class cvmatrix;
+class io_data;
+class AhrsData;
+}
+namespace gui {
+class LayoutPosition;
+class GroupBox;
+class DoubleSpinBox;
+class SpinBox;
+class Label;
+class PushButton;
+}
+namespace filter {
+class JoyReference;
+}
 }
 
 class JoyReference_impl {
 
-    public:
-        JoyReference_impl(flair::filter::JoyReference *self,const flair::gui::LayoutPosition* position,std::string name);
-        ~JoyReference_impl();
-        void SetRollAxis(float value);
-        void SetPitchAxis(float value);
-        void SetYawAxis(float value);
-        void SetAltitudeAxis(float value);
-        float ZRef(void) const;
-        float dZRef(void) const;
-        float RollTrim(void) const;
-        float PitchTrim(void) const;
-        void SetYawRef(float value);
-        void SetZRef(float value);
-        void RollTrimUp(void);
-        void RollTrimDown(void);
-        void PitchTrimUp(void);
-        void PitchTrimDown(void);
-        void Update(flair::core::Time time);
-        void UpdateFrom(const flair::core::io_data *data);
-        flair::core::cvmatrix *output;
-        flair::core::AhrsData *ahrsData;
+public:
+  JoyReference_impl(flair::filter::JoyReference *self,
+                    const flair::gui::LayoutPosition *position,
+                    std::string name);
+  ~JoyReference_impl();
+  void SetRollAxis(float value);
+  void SetPitchAxis(float value);
+  void SetYawAxis(float value);
+  void SetAltitudeAxis(float value);
+  float ZRef(void) const;
+  float dZRef(void) const;
+  float RollTrim(void) const;
+  float PitchTrim(void) const;
+  void SetYawRef(float value);
+  void SetZRef(float value);
+  void RollTrimUp(void);
+  void RollTrimDown(void);
+  void PitchTrimUp(void);
+  void PitchTrimDown(void);
+  void Update(flair::core::Time time);
+  void UpdateFrom(const flair::core::io_data *data);
+  flair::core::cvmatrix *output;
+  flair::core::AhrsData *ahrsData;
 
-    private:
-        flair::core::cvmatrix *input;
+private:
+  flair::core::cvmatrix *input;
 
-        flair::gui::GroupBox *reglages_groupbox;
-        flair::gui::DoubleSpinBox *deb_roll,*deb_pitch,*deb_wz,*deb_dz;
-        flair::gui::DoubleSpinBox *trim;
-        flair::gui::Label *label_roll,*label_pitch;
-        flair::gui::PushButton *button_roll,*button_pitch;
+  flair::gui::GroupBox *reglages_groupbox;
+  flair::gui::DoubleSpinBox *deb_roll, *deb_pitch, *deb_wz, *deb_dz;
+  flair::gui::DoubleSpinBox *trim;
+  flair::gui::Label *label_roll, *label_pitch;
+  flair::gui::PushButton *button_roll, *button_pitch;
 
-        float z_ref;
-        flair::core::Quaternion q_z=flair::core::Quaternion(1,0,0,0);
-        float trim_roll,trim_pitch;
-        flair::core::Time previous_time;
+  float z_ref;
+  flair::core::Quaternion q_z = flair::core::Quaternion(1, 0, 0, 0);
+  float trim_roll, trim_pitch;
+  flair::core::Time previous_time;
 
-        flair::filter::JoyReference *self;
+  flair::filter::JoyReference *self;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/LowPassFilter_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/LowPassFilter_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/LowPassFilter_impl.h	(revision 15)
@@ -16,36 +16,34 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class SpinBox;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class LowPassFilter;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+class SpinBox;
+class DoubleSpinBox;
+}
+namespace filter {
+class LowPassFilter;
+}
 }
 
-class LowPassFilter_impl
-{
+class LowPassFilter_impl {
 
-    public:
-        LowPassFilter_impl(const flair::filter::LowPassFilter* self,const flair::gui::LayoutPosition* position,std::string name,const flair::core::cvmatrix* init_value=NULL);
-        ~LowPassFilter_impl();
-        void UpdateFrom(const flair::core::io_data *data);
-        flair::core::cvmatrix *output;
+public:
+  LowPassFilter_impl(const flair::filter::LowPassFilter *self,
+                     const flair::gui::LayoutPosition *position,
+                     std::string name,
+                     const flair::core::cvmatrix *init_value = NULL);
+  ~LowPassFilter_impl();
+  void UpdateFrom(const flair::core::io_data *data);
+  flair::core::cvmatrix *output;
 
-    private:
-        flair::core::Time previous_time;
-        bool first_update;
-        flair::core::cvmatrix* prev_value;
-        flair::gui::DoubleSpinBox *freq,*T;
+private:
+  flair::core::Time previous_time;
+  bool first_update;
+  flair::core::cvmatrix *prev_value;
+  flair::gui::DoubleSpinBox *freq, *T;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/NestedSat_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/NestedSat_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/NestedSat_impl.h	(revision 15)
@@ -16,22 +16,18 @@
 #include <Object.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class io_data;
-    }
-    namespace gui
-    {
-        class Layout;
-        class LayoutPosition;
-        class DoubleSpinBox;
-        class DataPlot1D;
-    }
-    namespace filter
-    {
-        class NestedSat;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class io_data;
+}
+namespace gui {
+class Layout;
+class LayoutPosition;
+class DoubleSpinBox;
+class DataPlot1D;
+}
+namespace filter {
+class NestedSat;
+}
 }
 
@@ -39,22 +35,21 @@
 * \brief Classe permettant le calcul d'un Pid avec saturations
 */
-class NestedSat_impl
-{
-    public:
-        NestedSat_impl(flair::filter::NestedSat* self,const flair::gui::LayoutPosition* position,std::string name);
-        ~NestedSat_impl();
-        float Value(void);
-        void UseDefaultPlot(const flair::gui::Layout* layout,int row,int col);
-        void UpdateFrom(const flair::core::io_data *data);
-        void ConvertSatFromDegToRad(void);
-        float k;
+class NestedSat_impl {
+public:
+  NestedSat_impl(flair::filter::NestedSat *self,
+                 const flair::gui::LayoutPosition *position, std::string name);
+  ~NestedSat_impl();
+  float Value(void);
+  void UseDefaultPlot(const flair::gui::Layout *layout, int row, int col);
+  void UpdateFrom(const flair::core::io_data *data);
+  void ConvertSatFromDegToRad(void);
+  float k;
 
-    private:
-        flair::filter::NestedSat* self;
-        flair::gui::DoubleSpinBox *kp,*kd,*sat,*dsat,*usat;
-        flair::gui::DataPlot1D *plot;
-        float Sat(float value,float borne);
+private:
+  flair::filter::NestedSat *self;
+  flair::gui::DoubleSpinBox *kp, *kd, *sat, *dsat, *usat;
+  flair::gui::DataPlot1D *plot;
+  float Sat(float value, float borne);
 };
 
-
 #endif // NESTEDSAT_IMPL_H
Index: trunk/lib/FlairFilter/src/unexported/PidThrust_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/PidThrust_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/PidThrust_impl.h	(revision 15)
@@ -16,20 +16,16 @@
 #include <Object.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class io_data;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class PidThrust;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class io_data;
+}
+namespace gui {
+class LayoutPosition;
+class DoubleSpinBox;
+}
+namespace filter {
+class PidThrust;
+}
 }
 
@@ -38,23 +34,23 @@
 */
 
-class PidThrust_impl
-{
-    public:
-        PidThrust_impl(flair::filter::PidThrust* self,const flair::gui::LayoutPosition* position,std::string name);
-        ~PidThrust_impl();
-        void UseDefaultPlot(const flair::gui::LayoutPosition* position);
-        void UpdateFrom(const flair::core::io_data *data);
-        float i,offset_g;
-        flair::gui::DoubleSpinBox *offset,*pas_offset;
+class PidThrust_impl {
+public:
+  PidThrust_impl(flair::filter::PidThrust *self,
+                 const flair::gui::LayoutPosition *position, std::string name);
+  ~PidThrust_impl();
+  void UseDefaultPlot(const flair::gui::LayoutPosition *position);
+  void UpdateFrom(const flair::core::io_data *data);
+  float i, offset_g;
+  flair::gui::DoubleSpinBox *offset, *pas_offset;
 
-    private:
-        flair::filter::PidThrust* self;
-        flair::core::Time previous_time;
-        bool first_update;
+private:
+  flair::filter::PidThrust *self;
+  flair::core::Time previous_time;
+  bool first_update;
 
-        //matrix
-        flair::core::cvmatrix *state;
+  // matrix
+  flair::core::cvmatrix *state;
 
-        flair::gui::DoubleSpinBox *T,*kp,*ki,*kd,*sat,*sati;
+  flair::gui::DoubleSpinBox *T, *kp, *ki, *kd, *sat, *sati;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/Pid_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/Pid_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/Pid_impl.h	(revision 15)
@@ -16,20 +16,16 @@
 #include <Object.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class io_data;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class Pid;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class io_data;
+}
+namespace gui {
+class LayoutPosition;
+class DoubleSpinBox;
+}
+namespace filter {
+class Pid;
+}
 }
 
@@ -38,22 +34,22 @@
 */
 
-class Pid_impl
-{
-    public:
-        Pid_impl(flair::filter::Pid* self,const flair::gui::LayoutPosition* position,std::string name);
-        ~Pid_impl();
-        void UseDefaultPlot(const flair::gui::LayoutPosition* position);
-        void UpdateFrom(const flair::core::io_data *data);
-        float i;
-        bool first_update;
+class Pid_impl {
+public:
+  Pid_impl(flair::filter::Pid *self, const flair::gui::LayoutPosition *position,
+           std::string name);
+  ~Pid_impl();
+  void UseDefaultPlot(const flair::gui::LayoutPosition *position);
+  void UpdateFrom(const flair::core::io_data *data);
+  float i;
+  bool first_update;
 
-    private:
-        flair::filter::Pid* self;
-        flair::core::Time previous_time;
+private:
+  flair::filter::Pid *self;
+  flair::core::Time previous_time;
 
-        //matrix
-        flair::core::cvmatrix *state;
+  // matrix
+  flair::core::cvmatrix *state;
 
-        flair::gui::DoubleSpinBox *T,*kp,*ki,*kd,*sat,*sati;
+  flair::gui::DoubleSpinBox *T, *kp, *ki, *kd, *sat, *sati;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/TrajectoryGenerator1D_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/TrajectoryGenerator1D_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/TrajectoryGenerator1D_impl.h	(revision 15)
@@ -14,15 +14,12 @@
 #define TRAJECTORYGENERATOR1D_IMPL_H
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class DoubleSpinBox;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+class DoubleSpinBox;
+}
 }
 
@@ -30,24 +27,25 @@
 * \brief Class generating a trajectory in 1D
 */
-class TrajectoryGenerator1D_impl
-{
+class TrajectoryGenerator1D_impl {
 
-    public:
-        TrajectoryGenerator1D_impl(flair::filter::TrajectoryGenerator1D* self,const flair::gui::LayoutPosition* position,std::string name,std::string unit);
-        ~TrajectoryGenerator1D_impl();
-        void Update(flair::core::Time time);
-        void StartTraj(float start_pos,float end_pos);
-        void StopTraj(void);
-        void Reset(void);
-        flair::core::cvmatrix *output;
-        float pos_off,vel_off;
-        bool is_finished,is_started;
+public:
+  TrajectoryGenerator1D_impl(flair::filter::TrajectoryGenerator1D *self,
+                             const flair::gui::LayoutPosition *position,
+                             std::string name, std::string unit);
+  ~TrajectoryGenerator1D_impl();
+  void Update(flair::core::Time time);
+  void StartTraj(float start_pos, float end_pos);
+  void StopTraj(void);
+  void Reset(void);
+  flair::core::cvmatrix *output;
+  float pos_off, vel_off;
+  bool is_finished, is_started;
 
-    private:
-        float end_position;
-        float pos,v,acc;
-        flair::core::Time previous_time;
-        bool first_update;
-        flair::gui::DoubleSpinBox *T,*max_veloctity,*acceleration;
+private:
+  float end_position;
+  float pos, v, acc;
+  flair::core::Time previous_time;
+  bool first_update;
+  flair::gui::DoubleSpinBox *T, *max_veloctity, *acceleration;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/TrajectoryGenerator2DCircle_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/TrajectoryGenerator2DCircle_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/TrajectoryGenerator2DCircle_impl.h	(revision 15)
@@ -17,22 +17,17 @@
 #include <Vector2D.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class io_data;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-        class DoubleSpinBox;
-    }
-    namespace filter
-    {
-        class TrajectoryGenerator2DCircle;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class io_data;
 }
-
+namespace gui {
+class LayoutPosition;
+class DoubleSpinBox;
+}
+namespace filter {
+class TrajectoryGenerator2DCircle;
+}
+}
 
 /*! \class TrajectoryGenerator2DCircle_impl
@@ -40,25 +35,26 @@
 */
 
-class TrajectoryGenerator2DCircle_impl
-{
+class TrajectoryGenerator2DCircle_impl {
 
-    public:
-        TrajectoryGenerator2DCircle_impl(flair::filter::TrajectoryGenerator2DCircle* self,const flair::gui::LayoutPosition* position,std::string name);
-        ~TrajectoryGenerator2DCircle_impl();
-        void Update(flair::core::Time time);
-        void StartTraj(const flair::core::Vector2D &start_pos,float nb_lap);
-        void FinishTraj(void);
-        bool is_running;
-        flair::core::cvmatrix *output;
-        flair::core::Vector2D pos_off,vel_off;
+public:
+  TrajectoryGenerator2DCircle_impl(
+      flair::filter::TrajectoryGenerator2DCircle *self,
+      const flair::gui::LayoutPosition *position, std::string name);
+  ~TrajectoryGenerator2DCircle_impl();
+  void Update(flair::core::Time time);
+  void StartTraj(const flair::core::Vector2D &start_pos, float nb_lap);
+  void FinishTraj(void);
+  bool is_running;
+  flair::core::cvmatrix *output;
+  flair::core::Vector2D pos_off, vel_off;
 
-    private:
-        flair::core::Time previous_time;
-        float CurrentTime,FinishTime;
-        bool first_update,is_finishing;
-        flair::core::Vector2D pos;
-        float angle_off;
-        flair::gui::DoubleSpinBox *T,*veloctity,*acceleration,*rayon;
-        float nb_lap;
+private:
+  flair::core::Time previous_time;
+  float CurrentTime, FinishTime;
+  bool first_update, is_finishing;
+  flair::core::Vector2D pos;
+  float angle_off;
+  flair::gui::DoubleSpinBox *T, *veloctity, *acceleration, *rayon;
+  float nb_lap;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/UavMultiplex_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/UavMultiplex_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/UavMultiplex_impl.h	(revision 15)
@@ -17,25 +17,20 @@
 #include <string>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class cvmatrix;
-        class io_data;
-    }
-    namespace gui
-    {
-        class Tab;
-        class ComboBox;
-        class GroupBox;
-        class TabWidget;
-    }
-    namespace filter
-    {
-        class UavMultiplex;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class cvmatrix;
+class io_data;
 }
-
+namespace gui {
+class Tab;
+class ComboBox;
+class GroupBox;
+class TabWidget;
+}
+namespace filter {
+class UavMultiplex;
+}
+}
 
 /*! \class UavMultiplex_impl
@@ -43,36 +38,35 @@
 * \brief Class defining uav multiplexing
 */
-class UavMultiplex_impl
-{
-    public:
+class UavMultiplex_impl {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a uav multiplexing
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UavMultiplex_impl(const flair::core::FrameworkManager *parent,
+                    flair::filter::UavMultiplex *self, std::string name);
 
-        /*!
-        * \brief Constructor
-        *
-        * Construct a uav multiplexing
-        *
-        * \param parent parent
-        * \param name name
-        */
-        UavMultiplex_impl(const flair::core::FrameworkManager* parent,flair::filter::UavMultiplex* self,std::string name);
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~UavMultiplex_impl();
 
-        /*!
-        * \brief Destructor
-        *
-        */
-        ~UavMultiplex_impl();
+  flair::core::cvmatrix *input;
+  void SetMultiplexComboBox(std::string name, int index);
+  int MultiplexValue(int index) const;
 
-        flair::core::cvmatrix *input;
-        void SetMultiplexComboBox(std::string name,int index);
-        int MultiplexValue(int index) const;
+  flair::gui::TabWidget *tabwidget;
+  flair::gui::Tab *setup_tab;
 
-        flair::gui::TabWidget* tabwidget;
-        flair::gui::Tab *setup_tab;
-
-    private:
-        flair::gui::Tab *main_tab;
-        flair::gui::ComboBox **multiplexcombobox;
-        flair::gui::GroupBox *groupbox;
-        flair::filter::UavMultiplex* self;
+private:
+  flair::gui::Tab *main_tab;
+  flair::gui::ComboBox **multiplexcombobox;
+  flair::gui::GroupBox *groupbox;
+  flair::filter::UavMultiplex *self;
 };
 
Index: trunk/lib/FlairFilter/src/unexported/X4X8Multiplex_impl.h
===================================================================
--- trunk/lib/FlairFilter/src/unexported/X4X8Multiplex_impl.h	(revision 10)
+++ trunk/lib/FlairFilter/src/unexported/X4X8Multiplex_impl.h	(revision 15)
@@ -16,22 +16,17 @@
 #include <string>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class io_data;
-    }
-    namespace gui
-    {
-        class DataPlot1D;
-        class ComboBox;
-    }
-    namespace filter
-    {
-        class X4X8Multiplex;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class io_data;
 }
-
+namespace gui {
+class DataPlot1D;
+class ComboBox;
+}
+namespace filter {
+class X4X8Multiplex;
+}
+}
 
 /*! \class X4X8Multiplex_impl
@@ -39,20 +34,19 @@
 * \brief Class defining X4 and X8 multiplexing
 */
-class X4X8Multiplex_impl
-{
-    public:
-        X4X8Multiplex_impl(flair::filter::X4X8Multiplex* self,int nb_mot);
-        ~X4X8Multiplex_impl();
-        void UseDefaultPlot(void);
-        void UpdateFrom(const flair::core::io_data *data);
-        int nb_mot;
-        std::string MotorName(int index);
+class X4X8Multiplex_impl {
+public:
+  X4X8Multiplex_impl(flair::filter::X4X8Multiplex *self, int nb_mot);
+  ~X4X8Multiplex_impl();
+  void UseDefaultPlot(void);
+  void UpdateFrom(const flair::core::io_data *data);
+  int nb_mot;
+  std::string MotorName(int index);
 
-    private:
-        flair::core::cvmatrix *output;
-        flair::gui::ComboBox *pas;
-        flair::gui::DataPlot1D *plots[4];
-        flair::filter::X4X8Multiplex* self;
-        float Set(float trim,float u);
+private:
+  flair::core::cvmatrix *output;
+  flair::gui::ComboBox *pas;
+  flair::gui::DataPlot1D *plots[4];
+  flair::filter::X4X8Multiplex *self;
+  float Set(float trim, float u);
 };
 